<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:15 CEST 2014 -->
<title>G-Index</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="G-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;<a name="_G_">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#generateParseException()">generateParseException()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">Generate ParseException.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/SearchMod.html#get_stopSignal()">get_stopSignal()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/SearchMod.html" title="class in fr.inria.alpage.frmgcm.search">SearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#getadditional_data()">getadditional_data()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getAdditionalData()">getAdditionalData()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Retrieve the additional data associated with the last revision of this graph (ex frmg parser options, sentence string)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html#getAll()">getAll()</a></span> - Static method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager</a></dt>
<dd>
<div class="block">Retrieve every macro saved in db</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html#getAll(java.lang.String)">getAll(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager</a></dt>
<dd>
<div class="block">Retrieve every macro owned by a particular user</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/tools/Tests.html#getAllGraphInFile()">getAllGraphInFile()</a></span> - Static method in class fr.inria.alpage.frmgcm.tools.<a href="../fr/inria/alpage/frmgcm/tools/Tests.html" title="class in fr.inria.alpage.frmgcm.tools">Tests</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getAnnotatedDoc()">getAnnotatedDoc()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Get the annotated document (the html containing the original text aligned with sentences parses)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getAnnotatedDocByte()">getAnnotatedDocByte()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">(Obsolete) Get the annotated document (the html containing the original text aligned with sentences parses)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getAnnotatedDocument(java.lang.String)">getAnnotatedDocument(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Get the html align of the raw text and syntactic parsed sentences</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getAscendants(java.lang.String)">getAscendants(String)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getBeginColumn()">getBeginColumn()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block">Get token beginning column number.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getBeginLine()">getBeginLine()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block">Get token beginning line number.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getbIndexed()">getbIndexed()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/DBCacheManager.html#getCache(java.lang.Object)">getCache(Object)</a></span> - Static method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/DBCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">DBCacheManager</a></dt>
<dd>
<div class="block">retrieve a previously cached object (automatically reconstruct <a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html" title="class in fr.inria.alpage.frmgcm.utils"><code>AbstractCacheManager.CompositeCacheable</code></a> objects)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/StaticCacheManager.html#getCache(java.lang.Object)">getCache(Object)</a></span> - Static method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/StaticCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">StaticCacheManager</a></dt>
<dd>
<div class="block">retrieve a previously cached object</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getcid()">getcid()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getcmaDocumentId()">getcmaDocumentId()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getColumn()">getColumn()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block"><span class="strong">Deprecated.</span></div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getContent()">getContent()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#getContent()">getContent()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">CONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html#getContent()">getContent()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepCONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html#getContent()">getContent()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html#getContent()">getContent()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">JSONGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html#getContent()">getContent()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">PassageGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getCorpusOwner()">getCorpusOwner()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Get the mongo id of the corpus that own this document</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getcreated()">getcreated()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getDagAlignFilepath(java.lang.String)">getDagAlignFilepath(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Get the dag file corresponding to the document file source</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getData()">getData()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Retrieve the data associated with the last revision of this graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getData(int)">getData(int)</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Retrieve the data associated with the selected revision of this graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#getdata()">getdata()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#getData()">getData()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>
<div class="block">Retrieve the data that define the structure of the graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getdata()">getdata()</a></span> - Method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager.Cacheable</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDefaultTaskInfo()">getDefaultTaskInfo()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Get the information of tasks associated with this corpus</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/services/SentenceCollectionService.html#getDefinitionFromParams(com.mongodb.BasicDBObject,%20java.lang.String,%20com.mongodb.BasicDBObject)">getDefinitionFromParams(BasicDBObject, String, BasicDBObject)</a></span> - Static method in class fr.inria.alpage.frmgcm.services.<a href="../fr/inria/alpage/frmgcm/services/SentenceCollectionService.html" title="class in fr.inria.alpage.frmgcm.services">SentenceCollectionService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getDepGraphData()">getDepGraphData()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></dt>
<dd>
<div class="block">The graph data to the depgraph(json) format</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#getDepGraphData()">getDepGraphData()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">CONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html#getDepGraphData()">getDepGraphData()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepCONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html#getDepGraphData()">getDepGraphData()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html#getDepGraphData()">getDepGraphData()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">JSONGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html#getDepGraphData()">getDepGraphData()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">PassageGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getDepgraphSrcData()">getDepgraphSrcData()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Retrieve the data in depgraph format (json data used directly by the depgraph visualisation library)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getDescendants(java.lang.String)">getDescendants(String)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getdescription()">getdescription()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentFromPath(java.lang.String)">getDocumentFromPath(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Retrieve a <a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> from its path within the uploaded mapped structure of files in the corpus</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentList()">getDocumentList()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Get the tree of documents information</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getDocumentList(java.lang.String,%20java.lang.Object)">getDocumentList(String, Object)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Sub method used to construct the tree of document information of the corpus</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getdocuments()">getdocuments()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getdocumentsMapped()">getdocumentsMapped()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getEdgeDirection(com.mongodb.BasicDBObject)">getEdgeDirection(BasicDBObject)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#geteid()">geteid()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getEndColumn()">getEndColumn()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block">Get token end column number.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getEndLine()">getEndLine()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block">Get token end line number.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getEntrySet(java.lang.String)">getEntrySet(String)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#getEntrySet(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement)">getEntrySet(DPathSearchMod.DPathSearchBaseElement)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></dt>
<dd>
<div class="block">Depending on the entryset defined by the query (nodes, edges or root), return the corresponding elements from the current sentence</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getErr(com.mongodb.BasicDBObject)">getErr(BasicDBObject)</a></span> - Static method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html#getEstimationFactor()">getEstimationFactor()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getexpirationDate()">getexpirationDate()</a></span> - Method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager.Cacheable</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getexternId()">getexternId()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getFilerelativepath()">getFilerelativepath()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getformat()">getformat()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getFormatedGraph()">getFormatedGraph()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Return an instance of a subtype of <a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><code>AbstractGraph</code></a> that handle the format of the last revision of this graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getFormatedGraph(int)">getFormatedGraph(int)</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Return an instance of a subtype of <a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><code>AbstractGraph</code></a> that handle the format of the selected revision of this graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getformats()">getformats()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html#getFullResults()">getFullResults()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearchMod</a></dt>
<dd>
<div class="block">Used for exportResults</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getGraph(java.lang.String,%20java.lang.String,%20java.lang.String,%20com.mongodb.BasicDBList)">getGraph(String, String, String, BasicDBList)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Get a graph fragment (currently works only for conll & depconll format!)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html#getGraph(com.mongodb.BasicDBObject)">getGraph(BasicDBObject)</a></span> - Static method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm">GraphManager</a></dt>
<dd>
<div class="block">Retrieve a graph from a filter definition</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html#getGraph(java.lang.String)">getGraph(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm">GraphManager</a></dt>
<dd>
<div class="block">Retrieve a graph from an id</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFileInfo(java.lang.String,%20java.lang.String)">getGraphFileInfo(String, String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve information about a graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFileInfo(java.lang.String)">getGraphFileInfo(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve information about a graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getGraphFilePath(java.lang.String,%20java.lang.String,%20java.lang.String)">getGraphFilePath(String, String, String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Get the path of a graph file</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getGraphFragment(java.lang.String,%20java.lang.String,%20com.mongodb.BasicDBList)">getGraphFragment(String, String, BasicDBList)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Get a graph fragment (currently only works for conll and depconll formats!)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html#getHistory(java.lang.String)">getHistory(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager</a></dt>
<dd>
<div class="block">Retrieve the history of queries for a particular user</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html#getId()">getId()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></dt>
<dd>
<div class="block">Get the mongo db id of this document revision</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getId()">getId()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve the mongo id of this document</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/Node.html#getId()">getId()</a></span> - Method in interface fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp">Node</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleNode.html#getId()">getId()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleNode</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#GetImage()">GetImage()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block">Get token literal value.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getIn(java.lang.String)">getIn(String)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getIndexedSentence(java.lang.String,%20java.lang.String)">getIndexedSentence(String, String)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></dt>
<dd>
<div class="block">Retrieve the indexed sentence defined by the couple (ownerId and id)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTask.html#getInfo(java.lang.String)">getInfo(String)</a></span> - Static method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task">CPMTask</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/db/CPMDB.html#GetInstance()">GetInstance()</a></span> - Static method in class fr.inria.alpage.frmgcm.db.<a href="../fr/inria/alpage/frmgcm/db/CPMDB.html" title="class in fr.inria.alpage.frmgcm.db">CPMDB</a></dt>
<dd>
<div class="block">Singleton instance getter</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getisCMADocument()">getisCMADocument()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getispublic()">getispublic()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#getJSONResults(int,%20int)">getJSONResults(int, int)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></dt>
<dd>
<div class="block">get a serialized json string of the results</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getkey()">getkey()</a></span> - Method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager.Cacheable</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getlastModified()">getlastModified()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getLine()">getLine()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block"><span class="strong">Deprecated.</span></div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/AppMain.html#getLock(java.lang.String)">getLock(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.<a href="../fr/inria/alpage/frmgcm/AppMain.html" title="class in fr.inria.alpage.frmgcm">AppMain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#getMappedResult()">getMappedResult()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></dt>
<dd>
<div class="block">Get the mapped result of this search unit</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html#getMessage()">getMessage()</a></span> - Method in error fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/TokenMgrError.html" title="class in fr.inria.alpage.frmgcm.dpp">TokenMgrError</a></dt>
<dd>
<div class="block">You can also modify the body of this method to customize your error messages.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getMGWikiGraphData(java.lang.String)">getMGWikiGraphData(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>
<div class="block">Retrieve graph data from mgwiki graph uid</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getMGWikiGraphSignature(java.lang.String)">getMGWikiGraphSignature(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>
<div class="block">Retrieve the signature of a mgwiki graph using its uid</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getmgwikiPageRelated()">getmgwikiPageRelated()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getMGWikiSentences()">getMGWikiSentences()</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>
<div class="block">Retrieve all the mgwiki graphs</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getname()">getname()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getname()">getname()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getname()">getname()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getnamespace()">getnamespace()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getNext(com.mongodb.BasicDBObject)">getNext(BasicDBObject)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#getNextToken()">getNextToken()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">Get the next Token.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html#getNextToken()">getNextToken()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParserTokenManager.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParserTokenManager</a></dt>
<dd>
<div class="block">Get the next Token.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getNode(java.lang.String)">getNode(String)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getNodePosition(java.lang.String)">getNodePosition(String)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getnotes()">getnotes()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getOut(java.lang.String)">getOut(String)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getOutput(com.mongodb.BasicDBObject)">getOutput(BasicDBObject)</a></span> - Static method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getoutputFormat()">getoutputFormat()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getpath()">getpath()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getPrev(com.mongodb.BasicDBObject)">getPrev(BasicDBObject)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html#getPrevRevisionCompleteState(java.lang.String,%20java.lang.String)">getPrevRevisionCompleteState(String, String)</a></span> - Static method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></dt>
<dd>
<div class="block">Retrieve the mapping (sid => revision number) of all modified graphs from a particular revision to this revision</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getProcessedFilename()">getProcessedFilename()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getquery()">getquery()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getReport()">getReport()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Get the syntactic analysis process report output</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#getResult(int,%20int)">getResult(int, int)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html#getResult()">getResult()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></dt>
<dd>
<div class="block">Get the result of this search unit</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html#getResult(int,%20int)">getResult(int, int)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/IndexSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/SearchMod.html#getResult(int,%20int)">getResult(int, int)</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/SearchMod.html" title="class in fr.inria.alpage.frmgcm.search">SearchMod</a></dt>
<dd>
<div class="block">Retrieve result</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getresultFiles()">getresultFiles()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html#getResults()">getResults()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod</a></dt>
<dd>
<div class="block">get the result for the query fetched so far</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getRevision(int)">getRevision(int)</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Get a selected revision of this graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/tools/Import.html#getRevision(java.lang.String,%20java.lang.String)">getRevision(String, String)</a></span> - Method in class fr.inria.alpage.frmgcm.tools.<a href="../fr/inria/alpage/frmgcm/tools/Import.html" title="class in fr.inria.alpage.frmgcm.tools">Import</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getRevisions()">getRevisions()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve the ordered list of this document revisions (from most recent to oldest)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getrevisions()">getrevisions()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html#getRoots()">getRoots()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/SearchMod.html#getSearchThread()">getSearchThread()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/SearchMod.html" title="class in fr.inria.alpage.frmgcm.search">SearchMod</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getSentence(java.lang.String)">getSentence(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve a formatted graph from a graph(sentence) id</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getSentence(java.lang.String,%20java.lang.String)">getSentence(String, String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve a formatted graph from a sentence id and revision number</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getSentence()">getSentence()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Retrieve the sentence represented by this graph (from the graph structure or given data found in 'additional_data' field)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html#getSentenceRId(java.lang.String)">getSentenceRId(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.DocumentRevision.html" title="class in fr.inria.alpage.frmgcm.corpus">Document.DocumentRevision</a></dt>
<dd>
<div class="block">Get the revision number of a sentence (default is 0 if no changes were made)</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getSentencesCount()">getSentencesCount()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve the number of sentences within this document</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getSentencesLog()">getSentencesLog()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve the status list of parsed sentences</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getSentenceString()">getSentenceString()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></dt>
<dd>
<div class="block">The sentence that the graph represent</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#getSentenceString()">getSentenceString()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">CONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html#getSentenceString()">getSentenceString()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepCONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html#getSentenceString()">getSentenceString()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html#getSentenceString()">getSentenceString()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">JSONGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html#getSentenceString()">getSentenceString()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">PassageGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/tools/Import.html#getSentenceXML(java.io.File)">getSentenceXML(File)</a></span> - Method in class fr.inria.alpage.frmgcm.tools.<a href="../fr/inria/alpage/frmgcm/tools/Import.html" title="class in fr.inria.alpage.frmgcm.tools">Import</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.html#getShortName(java.io.File)">getShortName(File)</a></span> - Static method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.html" title="class in fr.inria.alpage.frmgcm.utils">Utils</a></dt>
<dd>
<div class="block">Get the name of a file without its extension</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.html#getShortName(java.lang.String)">getShortName(String)</a></span> - Static method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.html" title="class in fr.inria.alpage.frmgcm.utils">Utils</a></dt>
<dd>
<div class="block">Get the name of a file without its extension</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Document.html#getSID(java.lang.String)">getSID(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a></dt>
<dd>
<div class="block">Retrieve the sid of a sentence when parsing an info.txt result file line</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getsid()">getsid()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getSignature(java.lang.String)">getSignature(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html#getSignature(java.lang.String)">getSignature(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">CONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html#getSignature(java.lang.String)">getSignature(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepCONLLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html#getSignature(java.lang.String)">getSignature(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html#getSignature(java.lang.String)">getSignature(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">JSONGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html#getSignature(java.lang.String)">getSignature(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">PassageGraph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getSignature()">getSignature()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Get the dpath signature of a graph</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getStatus()">getStatus()</a></span> - Method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getstatus()">getstatus()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/utils/Utils.URI.html#getStream()">getStream()</a></span> - Method in class fr.inria.alpage.frmgcm.utils.<a href="../fr/inria/alpage/frmgcm/utils/Utils.URI.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.URI</a></dt>
<dd>
<div class="block">Retrive a input stream from the location asked</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#GetSuffix(int)">GetSuffix(int)</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>
<div class="block">Get the suffix.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getTabSize()">getTabSize()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp">SimpleCharStream</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getTaskObject()">getTaskObject()</a></span> - Method in class fr.inria.alpage.cpm.task.<a href="../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></dt>
<dd>
<div class="block">Get the json db object representing this task unit in db</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#getTaskOutput(java.lang.String,%20java.lang.String,%20boolean)">getTaskOutput(String, String, boolean)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>
<div class="block">Retrieve the file containing the output of a particular <code>CPMTaskUnit</code></div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#gettasksId()">gettasksId()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html#gettermExtractProcessEnabled()">gettermExtractProcessEnabled()</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.<a href="../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus">Corpus</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#getToken(int)">getToken(int)</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>
<div class="block">Get the specific Token.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html#getTypeColor(java.lang.String)">getTypeColor(String)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph</a></dt>
<dd>
<div class="block">Get a hex color for each type of edges</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#geturi()">geturi()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getuser()">getuser()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/Token.html#getValue()">getValue()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></dt>
<dd>
<div class="block">An optional attribute value of the Token.</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#getvotes()">getvotes()</a></span> - Method in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html#getweight()">getweight()</a></span> - Method in class fr.inria.alpage.frmgcm.search.<a href="../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.DPathMacro.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMacroManager.DPathMacro</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html#getWordHeadFromChunk(java.lang.String,%20com.mongodb.BasicDBObject)">getWordHeadFromChunk(String, BasicDBObject)</a></span> - Method in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">PassageGraph</a></dt>
<dd>
<div class="block">Get the word head from chunk</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html#graph">graph</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph</a></dt>
<dd>
<div class="block">Json partial representation of the DepXML xml format</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html#graph">graph</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">PassageGraph</a></dt>
<dd>
<div class="block">The json partial representation of the PASSAGE xml graph format</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm"><span class="strong">Graph</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/gm/package-summary.html">fr.inria.alpage.frmgcm.gm</a></dt>
<dd>
<div class="block">This class reflects graph object (part of the GraphServer project refactoring) stored in mongodb</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#Graph()">Graph()</a></span> - Constructor for class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Constructor used by mongo for db reflection</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/Graph.html#Graph(com.mongodb.BasicDBObject)">Graph(BasicDBObject)</a></span> - Constructor for class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm">Graph</a></dt>
<dd>
<div class="block">Construct graph and create the initial {@see GraphRevision) associated</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html#graphCollection">graphCollection</a></span> - Static variable in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm">GraphManager</a></dt>
<dd>
<div class="block">The graph mongo db collection name</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm"><span class="strong">GraphManager</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/gm/package-summary.html">fr.inria.alpage.frmgcm.gm</a></dt>
<dd>
<div class="block">This class handles most of crud operation in graphs stored in mongo db</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html#GraphManager()">GraphManager()</a></span> - Constructor for class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm">GraphManager</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#graphRevision">graphRevision</a></span> - Variable in class fr.inria.alpage.frmgcm.corpus.format.<a href="../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></dt>
<dd>
<div class="block">The <a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm"><code>GraphRevision</code></a> the formated graph is bound to</div>
</dd>
<dt><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm"><span class="strong">GraphRevision</span></a> - Class in <a href="../fr/inria/alpage/frmgcm/gm/package-summary.html">fr.inria.alpage.frmgcm.gm</a></dt>
<dd>
<div class="block">This class handles revisions of <a href="../fr/inria/alpage/frmgcm/gm/Graph.html" title="class in fr.inria.alpage.frmgcm.gm"><code>Graph</code></a> instances, reflects with mongo db object</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#GraphRevision()">GraphRevision()</a></span> - Constructor for class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html#GraphRevision(com.mongodb.BasicDBObject)">GraphRevision(BasicDBObject)</a></span> - Constructor for class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></dt>
<dd>
<div class="block">Construct a new graph revision from a definition</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html#graphRevisionCollection">graphRevisionCollection</a></span> - Static variable in class fr.inria.alpage.frmgcm.gm.<a href="../fr/inria/alpage/frmgcm/gm/GraphManager.html" title="class in fr.inria.alpage.frmgcm.gm">GraphManager</a></dt>
<dd>
<div class="block">The graph revision mongo db collection name</div>
</dd>
<dt><span class="strong"><a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html#GroupedExpression()">GroupedExpression()</a></span> - Method in class fr.inria.alpage.frmgcm.dpp.<a href="../fr/inria/alpage/frmgcm/dpp/DPathParser.html" title="class in fr.inria.alpage.frmgcm.dpp">DPathParser</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a href="index-25.html">_</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
